:root {
	--background: #ffffff;
	--accent: #fcdab7;
	--accent2: #1e5f74;
	--color: #000000;
	--dull: #000000;
	--error: #e74c3c;
	--highlight: rgba(255,255,255,.05);
   }


   /* sample id suggest */

   #suggestions {
	border: 1px solid #ccc;
	display: none;
	overflow-y: auto;
	position: absolute;
	background-color: white;
	margin-left: 10px;
	border-bottom-right-radius: 8px;
	border-bottom-left-radius: 8px;
	}

	#suggestions div {
		padding: 5px 25px;
		font-size: .9rem;
		cursor: pointer;
		border-top: 1px dashed #f0f0f0f0;
	}

	#suggestions div:hover {
		background-color: #f0f0f0;
	}

   body {
	   margin: 0;
	   padding: 0;
	   font-family: system, -apple-system, ".SFNSText-Regular", "San Francisco", "Roboto", "Segoe UI", "Helvetica Neue", "Lucida Grande", sans-serif;
	   height: 100vh;
	   width: 100%;
	   background: #ffffff;
	   color: var(--color);
   }

   h1 {
	   font-size: 2em;
	   margin: 30px 0;
   }
   
   .hidden {
	   position: absolute;
	   left: -1000%;
	   top: -1000%;
	   height: 0;
	   width: 0;
	   pointer-events: none;
	   opacity: 0;
   }
   
   .formWrapper {
	   height: 80%;
	   width: 100%;
	   display: grid;
	   align-items: center;
	   justify-content: center;
   }
   form {
	   width: 95vw;
	   max-width: 500px;
	   box-sizing: border-box;
	   padding: 2px 0;
   }
   form h1 {
	   margin: 0 0 15px 0;
	   font-size: 3em;
   }
   .inputblock {
	   position: relative;
	   display: block;
	   padding: 20px 0;
	   clear: both;
   }
   .inputblock input {
	   width: 100%;
	   padding: 7px;
	   box-sizing: border-box;
	   display: block;
	   background: transparent;
	   outline: none;
	   font-family: inherit;
	   font-size: 15px;
	   color: inherit;
	   border: 0;
	   margin-top: 2px;
	   border-bottom: 1px solid var(--color);
   }
   .inputblock label {
	   display: block;
	   font-size: 13px;
	   color: var(--dull);
	   text-transform: uppercase;
	   letter-spacing: 1px;
	   font-weight: 300;
   }
   
   .btn {
	   display: inline-block;
	   padding: 12px 20px;
	   font-size: 18px;
	   border: 2px solid var(--color);
	   border-radius: 2px;
	   cursor: pointer;
	   -webkit-user-select: none;
	   user-select: none;
	   transition: background .3s, color .3s;
   }
   .btn:hover, .btn:active {
	   border: 0;
	   padding: 14px px;
	   background: var(--color);
	   color: var(--background);
   }
   .btn:active {
	   box-shadow: inset 0 0 4px 5px rgba(0,0,0,.1);
   }
   
   .errcontainer {
	   font-size: 14px;
	   opacity: 1;
	   transition: opacity .3s;
   }
   .err {
	   margin: 5px 0;
	   color: var(--error);
   }
   .err ul {
	   list-style-type: none;
	   margin: 0;
	   padding-inline-start: 2em;
   }

   .successcontainer {
	font-size: 14px;
	opacity: 1;
	transition: opacity .3s;
	}
	.success {
		margin: 5px 0;
		color: green;
	}
	.success ul {
		list-style-type: none;
		margin: 0;
		padding-inline-start: 2em;
	}
   
   form a {
	   position: relative;
	   margin: 0;
	   line-height: 1.4em;
	   display: inline-block;
	   color: var(--dull);
	   text-decoration: none;
	   transition: color .3s;
   }
   .errorcontainer a {
	   display: inline;
	   line-height: normal;
	   text-decoration: underline;
	   color: inherit;
   }
   form a:before {
	   content: "";
	   position: absolute;
	   left: 50%;
	   bottom: 0;
	   height: 1px;
	   background: var(--dull);
	   width: 0px;
	   -webkit-transform: translateX(-50%);
	   -moz-transform: translateX(-50%);
	   -ms-transform: translateX(-50%);
	   -o-transform: translateX(-50%);
	   transform: translateX(-50%);
	   transition: width .5s;
   }
   form a:hover:before {
	   width: 100%;
   }
   form a:hover {
	   color: var(--color);
   }
   
   .loader {
	   height: 64px;
	   width: 64px;
	   position: fixed;
	   top: calc(50% - 32px);
	   left: calc(50% - 32px);
	   border: 2px solid var(--highlight);
	   border-left: 2px solid var(--color);
	   border-radius: 50%;
	   -webkit-animation: loader 1.5s linear infinite;
	   -moz-animation: loader 1.5s linear infinite;
	   -ms-animation: loader 1.5s linear infinite;
	   -o-animation: loader 1.5s linear infinite;
	   animation: loader 1.5s linear infinite;
   }
   
   @-webkit-keyframes loader {to {-o-transform: rotate(360deg);-ms-transform: rotate(360deg);-moz-transform: rotate(360deg);-webkit-transform: rotate(360deg);transform: rotate(360deg);}}
   @keyframes loader {to {-o-transform: rotate(360deg);-ms-transform: rotate(360deg);-moz-transform: rotate(360deg);-webkit-transform: rotate(360deg);transform: rotate(360deg);}}
   
   
   .message {
	   text-align: center;
   }
   
   .message h2 {
	   font-size: 4em;
   }

   .intakeForm {
	max-width: 900px;
	margin: 25px auto;
}

.fieldBlocks {
	border: none;
}

.bgGray {
	background-color: aliceblue;
}

input {
	border: 1px solid #ccc;
	width: 98%;
	padding: 2% 1%;
	border-radius: 8px;
}

.radio {
	width: 20px;
}

.txtBox {
	width: 98%;
	padding: 2% 1%;
	border: 1px solid #ccc;
	border-radius: 8px;
}

.flowRate {
	margin: 25px auto;
	display: none;
}

.width25 {
	width: 30%;
}

.secHead {
	font-size: 1.5rem;
	font-weight: bold;
	color: #555;
	border-bottom: 1px solid #ccc;
}

.padTop {
	padding-top: 10px;
}

.boldSec {
	font-weight: bold;
	color: #555;
}

.inputHeader {
	font-weight: 500;
	font-size: 1.5rem;
	color: #454545;
	display: block;
	padding-bottom: 5px;
}

.ftNote {
	font-size: 1.2rem;
	color: #666;
	font-style: italic;
}

.noLine {
	border: none;
	font-size: 2.5rem;
}

.shortInput {
	width: 100px;
	text-align: center;
}

.mgdGood {
	color: green;
	font-size: 3rem;
	vertical-align: middle;
	padding-left: 15px;
}

.mgdHigh {
	color: red;
}
   
table {
	width: 100%;
	border-collapse: collapse;
}
th, td {
	border: 1px solid #ccc;
	padding: 8px;
	text-align: left;
}
th {
	background-color: #f2f2f2;
}
.delete-btn {
	background-color: #ff3333;
	color: white;
	border: none;
	padding: 5px 10px;
	border-radius: 3px;
	cursor: pointer;
}

.actions-container {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.action-link, .logout-btn {
    display: inline-block;
    margin-bottom: 10px;
    text-decoration: none;
    width: 200px;
    color: var(--color); /* Changed from "2px solid var(--color)" */
    text-align: center;
    top: 20px;
    right: 20px;
    padding: 12px 20px;
    font-size: 18px;
    border: 2px solid var(--color);
    border-radius: 2px;
    cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
    transition: background .3s, color .3s;
}

.action-link:hover {
    background: var(--color);
	color: var(--background);
    text-decoration: none;
}

.logout-btn:hover, .logout-btn:active {
	border: 0;
	padding: 14px px;
	background: var(--color);
	color: var(--background);
}
.logout-btn:active {
	box-shadow: inset 0 0 4px 5px rgba(0,0,0,.1);
}

.button-container {
	text-align: center; 
    padding: 20px 20px 20px 20px;
}